Bug 152889 - [patch] x11-drivers/xorg-drivers default options kill batch install
[patch] x11-drivers/xorg-drivers default options kill batch install
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-x11
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-07 14:50 UTC by jwbacon
Modified: 2011-02-25 17:21 UTC (History)
0 users

See Also:


Attachments
file.diff (273 bytes, patch)
2010-12-07 14:50 UTC, jwbacon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jwbacon 2010-12-07 14:50:08 UTC
The default options for xorg-drivers includes the openchrome driver, which is only for x86-based architectures.  This prevents an unattended xorg installation on other architectures.

Fix: See attached patch.

Patch attached with submission follows:
How-To-Repeat: Build xorg-drivers with default options on a non-x86 system.
Comment 1 Mark Linimon freebsd_committer 2010-12-08 06:15:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Fix synopsis and assign.
Comment 2 Martin Wilke freebsd_committer 2011-02-19 03:28:22 UTC
State Changed
From-To: open->patched

patched in xorg-dev
Comment 3 Martin Wilke freebsd_committer 2011-02-25 17:21:38 UTC
State Changed
From-To: patched->closed

Committed. Thanks!